QHideEvent(3qt)

NAME
QHideEvent - The event sent after a widget is hidden

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QHideEvent ( bool spontaneous )
bool spontaneous () const

DESCRIPTION
The event sent after a widget is hidden.

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

See also QShowEvent.

MEMBER FUNCTION DOCUMENTATION

QHideEvent::QHideEvent ( bool spontaneous )
Constructs a QHideEvent. spontaneous is TRUE if the event originated outside the application - ie. the user hid the window via the window manager controls.

bool QHideEvent::spontaneous () const
Returns TRUE if the event originated outside the application - ie. the user hid the window via the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden, but not withdrawn. If the window was iconified, QWidget::isMinimized() is TRUE.

SEE ALSO
http://doc.trolltech.com/qhideevent.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.